KABC::PhoneNumber Class Reference

`#include <phonenumber.h>`

## Public Types

enum | Types { Home = 1, Work = 2, Msg = 4, Pref = 8, Voice = 16, Fax = 32, Cell = 64, Video = 128, Bbs = 256, Modem = 512, Car = 1024, Isdn = 2048, Pcs = 4096, Pager = 8192 }
typedef QValueList< PhoneNumber > | List
typedef QValueList< int > | TypeList

## Public Member Functions

| PhoneNumber ()
| PhoneNumber (const QString &number, int type=Home)
| ~PhoneNumber ()
bool | operator== (const PhoneNumber &) const
bool | operator!= (const PhoneNumber &) const
void | setId (const QString &id)
QString | id () const
void | setNumber (const QString &)
QString | number () const
void | setType (int)
int | type () const
QString | typeLabel () const
QString | label () const

## Static Public Member Functions

static TypeList | typeList ()
static QString | typeLabel (int type)
static QString | label (int type)

## Friends

KABC_EXPORT QDataStream & | operator<< (QDataStream &, const PhoneNumber &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, PhoneNumber &)

## Detailed Description

Phonenumber information.

This class provides phone number information. A phone number is classified by a type. The following types are available, it's possible to use multiple types Types for a number by combining them through a logical or.

Definition at line 38 of file phonenumber.h.

## Member Enumeration Documentation

enum KABC::PhoneNumber::Types

- `Home` - Home number
- `Work` - Office number
- `Msg` - Messaging
- `Pref` - Preferred number
- `Voice` - Voice
- `Fax` - Fax machine
- `Cell` - Cell phone
- `Video` - Video phone
- `Bbs` - Mailbox
- `Modem` - Modem
- `Car` - Car phone
- `Isdn` - ISDN connection
- `Pcs` - Personal Communication Service
- `Pager` - Pager

Definition at line 63 of file phonenumber.h.

## Constructor & Destructor Documentation

PhoneNumber::PhoneNumber | ( |  | ) |

Create an empty phone number object.

Definition at line 28 of file phonenumber.cpp.

PhoneNumber::PhoneNumber | ( | const QString & | number,
|  | int | type = `Home`
| ) |  |

Create a phonenumber object.

Parameters

  number | Number
  type | Type as defined in enum. Multiple types can be specified by combining them by a logical or.

Definition at line 34 of file phonenumber.cpp.

PhoneNumber::~PhoneNumber | ( |  | ) |

Destructor.

Definition at line 42 of file phonenumber.cpp.

## Member Function Documentation

QString PhoneNumber::id | ( |  | ) | const

Returns the unique identifier.

Definition at line 78 of file phonenumber.cpp.

QString PhoneNumber::label | ( |  | ) | const

Returns the translated label for phone number depending on its type.

Definition at line 122 of file phonenumber.cpp.

QString PhoneNumber::label | ( | int | type | ) |

static

Returns the translated label for phone number type.

Deprecated:

Definition at line 139 of file phonenumber.cpp.

QString PhoneNumber::number | ( |  | ) | const

Returns the number.

Definition at line 88 of file phonenumber.cpp.

void PhoneNumber::setId | ( | const QString & | id | ) |

Sets the unique identifier.

Definition at line 73 of file phonenumber.cpp.

void PhoneNumber::setNumber | ( | const QString & | number | ) |

Sets the number.

Definition at line 83 of file phonenumber.cpp.

void PhoneNumber::setType | ( | int | type | ) |

Sets the type.

Multiple types can be specified by combining them by a logical or.

Definition at line 93 of file phonenumber.cpp.

int PhoneNumber::type | ( |  | ) | const

Returns the type.

Can be a multiple types combined by a logical or.

Definition at line 98 of file phonenumber.cpp.

QString PhoneNumber::typeLabel | ( |  | ) | const

Returns a translated string of all types the address has.

Definition at line 103 of file phonenumber.cpp.

QString PhoneNumber::typeLabel | ( | int | type | ) |

static

Returns the translated label for phone number type.

Definition at line 144 of file phonenumber.cpp.

PhoneNumber::TypeList PhoneNumber::typeList | ( |  | ) |

static

Returns a list of all available types.

Definition at line 127 of file phonenumber.cpp.

The documentation for this class was generated from the following files:

- phonenumber.h
- phonenumber.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys